//我的图库
import { httpGet, httpPost } from "@/utils/request.js";

/**
 * 我的图库列表
 * @param keyword
 * @param classify_id 分类ID
 */
export const apiMyChartList=params=>{
    return httpGet('/my_chart/list',params)
}

/**
 * 我的图库分类列表
 */
export const apiMyChartClassifyList=()=>{
    return httpGet('/my_chart_classify/list',{})
}

/**
 * 新增我的图库分类
 * @param classify_name
 */
export const apiMyChartClassifyAdd=params=>{
    return httpPost('/my_chart_classify/add',params)
}

/**
 * 编辑我的图库分类
 * @param classify_name
 * @param classify_id
 */
export const apiMyChartClassifyEdit=params=>{
    return httpPost('/my_chart_classify/edit',params)
}

/**
 * 删除我的图库分类
 * @param classify_id
 */
export const apiMyChartClassifyDel=params=>{
    return httpPost('/my_chart_classify/del',params)
}

/**
 * 排序我的图库分类
 * @param list<item>:{ "classify_id": 1, //分类ID "sort": 3 //排序}
 */
export const apiMyChartClassifySort=params=>{
    return httpPost('/my_chart_classify/sort',params)
}